Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PShape

Name

### resetMatrix()

Examples

    PShape s;

    void setup() {
      size(100, 100);
      s = loadShape("ohio.svg");
      s.rotate(PI/6);
    }

    void draw() {
      background(204);
      shape(s);
    }

    void mousePressed() {
      // Removes all transformations applied to shape
      // Loads the identity matrix
      s.resetMatrix();
    }

Description | Replaces the current matrix of a shape with the identity matrix. The equivalent function in OpenGL is glLoadIdentity().

Syntax

    sh.resetMatrix()

Parameters

sh | PShape: any variable of type PShape

Returns | None
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST